<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

require_once dirname(__FILE__) . './../consts/rapyd-consts.php';

return apply_filters(
	'wc_rapyd_settings',
	array(
		'rapyd_settings_steps' => array(
			'title'       => __( RAPYD_SETTINGS_STEPS_TITLE, 'wcrapydpc' ),
			'type'        => 'title',
			'description' => __( '<p>' . RAPYD_SETTINGS_STEPS_DESCRIPTION . '</p><p>' ),
		),
		'rapyd_access_key_prod' => array(
			'title' => __(RAPYD_ACCESS_KEY_TITLE, 'wcrapydpc'),
			'type' => 'text',
			'description' =>  __(RAPYD_ACCESS_KEY_DESCRIPTION, 'wcrapydpc'),
			'desc_tip'    => true,
		),
		'rapyd_secret_key_prod' => array(
			'title' => __(RAPYD_SECRET_KEY_TITLE, 'wcrapydpc'),
			'type' => 'password',
			'description' =>  __(RAPYD_SECRET_KEY_DESCRIPTION, 'wcrapydpc'),
			'desc_tip'    => true,
		),
		'rapyd_test_mode_enabled' => array(
			'title' => __(RAPYD_TEST_MODE_TITLE, 'wcrapydpc'),
			'type' => 'checkbox',
			'label' => __(RAPYD_TEST_MODE_LABEL, 'wcrapydpc'),
			'default' => 'no',
			'desc_tip'    => true,
		),
		'rapyd_access_key_test' => array(
			'title' => __(RAPYD_ACCESS_KEY_TITLE_TEST, 'wcrapydpc'),
			'type' => 'text',
			'description' =>  __(RAPYD_ACCESS_KEY_DESCRIPTION_TEST, 'wcrapydpc'),
			'desc_tip'    => true,
		),
		'rapyd_secret_key_test' => array(
			'title' => __(RAPYD_SECRET_KEY_TITLE_TEST, 'wcrapydpc'),
			'type' => 'password',
			'description' =>  __(RAPYD_SECRET_KEY_DESCRIPTION_TEST, 'wcrapydpc'),
			'desc_tip'    => true,
		)

	)
);
