<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

require_once dirname(__FILE__) . './../consts/rapyd-consts.php';

class WC_Gateway_Rapyd_Card extends WC_Rapyd_Payment_Gateway {

	public function __construct() {
		$this->id                  = RAPYD_CARD_ID;
		$this->title               = RAPYD_CARD_TITLE;
		$this->method_title        = RAPYD_CARD_METHOD_TITLE;
		$this->description         = RAPYD_CARD_DESCRIPTION;
		/* translators: link */
		$this->method_description  = RAPYD_CARD_METHOD_DESCRIPTION;
		$this->has_fields          = true;
		$this->icon                = 'https://cdn.rapyd.net/plugins/icons/card_icon.png';
		$this->supports = array(
			'products',
			'subscriptions',
			'subscription_cancellation',
			'subscription_suspension',
			'subscription_reactivation',
			'subscription_amount_changes',
			'subscription_date_changes',
			//'subscription_payment_method_change',
			//'subscription_payment_method_change_customer',
			//'subscription_payment_method_change_admin',
			'multiple_subscriptions'
		);
		$this->constructor_helper();
		//add subscription scheduled payment hook
		if (class_exists('WC_Subscriptions_Order')) {
			add_action('woocommerce_scheduled_subscription_payment_' . $this->id, array($this, 'scheduled_subscription_payment'), 10, 2);
		}
	}

	public function getCategory() {
		return RAPYD_CATEGORY_CARD;
	}

}

